Skip to main content
DELETE
/
api
/
v1
/
projects
/
{id}
DELETE projects
curl --request DELETE \
  --url https://app.onecodex.com/api/v1/projects/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/projects/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Delete a Project. The caller must have administrator permission on the project. The project must be empty — if any samples are still associated with it, the request fails with a 400 and the message “Project has one or more samples in it. Please remove the sample(s) from the project before deleting the project.” Move or detach samples first via PATCH on the sample.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Response

200

OK